import { Region } from '../../models/region';
export declare class RegionService {
    /**
     * Get all regions
     *
     * ### Example
     * ```js
     * import { DigitalOcean } from 'digitalocean-js';
     *
     * const client = new DigitalOcean('your-api-key');
     * const regions = await client.regions.getAllRegions();
     * ```
     */
    getAllRegions(): Promise<Region[]>;
}
