import { AccountService } from './services/account/account.service';
import { ActionService } from './services/actions/actions.service';
import { BillingHistoryService } from './services/billing-history/billing-history.service';
import { BlockStorageActionService } from './services/block-storage/block-storage-actions.service';
import { BlockStorageService } from './services/block-storage/block-storage.service';
import { CdnService } from './services/cdn/cdn.service';
import { CertificateService } from './services/certificate/certificate.service';
import { DomainRecordService } from './services/domain/domain-record.service';
import { DomainService } from './services/domain/domain.service';
import { DropletActionService } from './services/droplet/droplet-actions.service';
import { DropletService } from './services/droplet/droplet.service';
import { FirewallService } from './services/firewall/firewall.service';
import { FloatingIPActionService } from './services/floating-ip/floating-ip-actions.service';
import { FloatingIPService } from './services/floating-ip/floating-ip.service';
import { ImageActionService } from './services/image/image-actions.service';
import { ImageService } from './services/image/image.service';
import { KubernetesService } from './services/kubernetes/kubernetes.service';
import { LoadBalancerService } from './services/load-balancer/load-balancer.service';
import { ProjectService } from './services/project/project.service';
import { RegionService } from './services/region/region.service';
import { SizeService } from './services/size/size.service';
import { SnapshotService } from './services/snapshot/snapshot.service';
import { SshService } from './services/ssh/ssh.service';
import { TagService } from './services/tag/tag.service';
export declare class DigitalOcean {
    private token;
    account: AccountService;
    actions: ActionService;
    billingHistory: BillingHistoryService;
    blockStorage: BlockStorageService;
    blockStorageActions: BlockStorageActionService;
    cdn: CdnService;
    certificates: CertificateService;
    domains: DomainService;
    domainRecords: DomainRecordService;
    droplets: DropletService;
    dropletActions: DropletActionService;
    firewalls: FirewallService;
    floatingIPs: FloatingIPService;
    floatingIPActions: FloatingIPActionService;
    images: ImageService;
    imageActions: ImageActionService;
    kubernetes: KubernetesService;
    loadBalancers: LoadBalancerService;
    projects: ProjectService;
    regions: RegionService;
    sizes: SizeService;
    snapshots: SnapshotService;
    ssh: SshService;
    tags: TagService;
    constructor(token: string, url?: string);
}
